//---------------------------------------------
// UnderlinedText.cs  2001 by Charles Petzold
//---------------------------------------------
using System;
using System.Drawing;
using System.Drawing.Text;
using System.Windows.Forms;

class UnderlinedText: PrintableForm
{
     public new static void Main()
     {
          Application.Run(new UnderlinedText());
     }
     public UnderlinedText()
     {
          Text = "Texto subrayado con HotkeyPrefix";
          Font = new Font("Times New Roman", 14);
     }
     protected override void DoPage(Graphics grfx, Color clr, int cx, int cy)
     {
          string       str    = "Esto es un texto &s&u&b&r&a&y&a&d&o!";
          StringFormat strfmt = new StringFormat();

          strfmt.HotkeyPrefix = HotkeyPrefix.Show;

          grfx.DrawString(str, Font, new SolidBrush(clr), 0, 0, strfmt);
     }
}

